Loading...
Searching...
No Matches
Opm::VcfvDiscretization< TypeTag > Class Template Reference

The base class for the vertex centered finite volume discretization scheme. More...

`#include <vcfvdiscretization.hh>`

Inheritance diagram for Opm::VcfvDiscretization< TypeTag >:

## Public Member Functions

| VcfvDiscretization (Simulator &simulator)
std::size_t | numGridDof () const
| Returns the number of global degrees of freedom (DOFs) due to the grid.
const DofMapper & | dofMapper () const
| Mapper to convert the Dune entities of the discretization's degrees of freedoms are to indices.
template<class Restarter>
void | serialize (Restarter &res)
| Serializes the current state of the model.
template<class Restarter>
void | deserialize (Restarter &res)
| Deserializes the state of the model.

## Static Public Member Functions

static std::string | discretizationName ()
| Returns a string of discretization's human-readable name.

## Detailed Description

template<class TypeTag>
class Opm::VcfvDiscretization< TypeTag >

The base class for the vertex centered finite volume discretization scheme.

## Member Function Documentation

## deserialize()

template<class TypeTag>
template<class Restarter>

void Opm::VcfvDiscretization< TypeTag >::deserialize | ( | Restarter & | res | ) |

inline

Deserializes the state of the model.

Template Parameters

  Restarter | The type of the serializer class

Parameters

  res | The serializer object

## serialize()

template<class TypeTag>
template<class Restarter>

void Opm::VcfvDiscretization< TypeTag >::serialize | ( | Restarter & | res | ) |

inline

Serializes the current state of the model.

Template Parameters

  Restarter | The type of the serializer class

Parameters

  res | The serializer object

The documentation for this class was generated from the following file:

- opm/models/discretization/vcfv/vcfvdiscretization.hh